# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'obserware/assets/uifiles/cyclwdgt.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_cyclwdgt(object):
    def setupUi(self, cyclwdgt):
        cyclwdgt.setObjectName("cyclwdgt")
        cyclwdgt.resize(470, 50)
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(cyclwdgt.sizePolicy().hasHeightForWidth())
        cyclwdgt.setSizePolicy(sizePolicy)
        cyclwdgt.setMinimumSize(QtCore.QSize(470, 50))
        cyclwdgt.setMaximumSize(QtCore.QSize(470, 50))
        cyclwdgt.setStyleSheet("background: transparent;")
        self.cyclcurt = QtWidgets.QLabel(cyclwdgt)
        self.cyclcurt.setGeometry(QtCore.QRect(110, 5, 355, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cyclcurt.sizePolicy().hasHeightForWidth())
        self.cyclcurt.setSizePolicy(sizePolicy)
        self.cyclcurt.setMinimumSize(QtCore.QSize(355, 20))
        self.cyclcurt.setMaximumSize(QtCore.QSize(355, 20))
        self.cyclcurt.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.cyclcurt.setObjectName("cyclcurt")
        self.cyclgraf = QChartView(cyclwdgt)
        self.cyclgraf.setGeometry(QtCore.QRect(65, 5, 40, 40))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cyclgraf.sizePolicy().hasHeightForWidth())
        self.cyclgraf.setSizePolicy(sizePolicy)
        self.cyclgraf.setMaximumSize(QtCore.QSize(40, 40))
        self.cyclgraf.setStyleSheet("border: none;")
        self.cyclgraf.setObjectName("cyclgraf")
        self.cyclxtra = QtWidgets.QLabel(cyclwdgt)
        self.cyclxtra.setGeometry(QtCore.QRect(110, 30, 355, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cyclxtra.sizePolicy().hasHeightForWidth())
        self.cyclxtra.setSizePolicy(sizePolicy)
        self.cyclxtra.setMinimumSize(QtCore.QSize(355, 15))
        self.cyclxtra.setMaximumSize(QtCore.QSize(355, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cyclxtra.setFont(font)
        self.cyclxtra.setStyleSheet('font: 10pt "Inter";')
        self.cyclxtra.setObjectName("cyclxtra")
        self.cyclperc = QtWidgets.QLabel(cyclwdgt)
        self.cyclperc.setGeometry(QtCore.QRect(70, 10, 30, 30))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cyclperc.sizePolicy().hasHeightForWidth())
        self.cyclperc.setSizePolicy(sizePolicy)
        self.cyclperc.setMinimumSize(QtCore.QSize(30, 30))
        self.cyclperc.setMaximumSize(QtCore.QSize(30, 30))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cyclperc.setFont(font)
        self.cyclperc.setStyleSheet('font: 10pt "JetBrains Mono";')
        self.cyclperc.setAlignment(QtCore.Qt.AlignCenter)
        self.cyclperc.setObjectName("cyclperc")
        self.cyclnumb = QtWidgets.QLabel(cyclwdgt)
        self.cyclnumb.setGeometry(QtCore.QRect(5, 5, 55, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cyclnumb.sizePolicy().hasHeightForWidth())
        self.cyclnumb.setSizePolicy(sizePolicy)
        self.cyclnumb.setMinimumSize(QtCore.QSize(55, 20))
        self.cyclnumb.setMaximumSize(QtCore.QSize(55, 20))
        self.cyclnumb.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.cyclnumb.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.cyclnumb.setAlignment(
            QtCore.Qt.AlignRight | QtCore.Qt.AlignTrailing | QtCore.Qt.AlignVCenter
        )
        self.cyclnumb.setObjectName("cyclnumb")
        self.cycllabl = QtWidgets.QLabel(cyclwdgt)
        self.cycllabl.setGeometry(QtCore.QRect(5, 30, 55, 15))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cycllabl.sizePolicy().hasHeightForWidth())
        self.cycllabl.setSizePolicy(sizePolicy)
        self.cycllabl.setMinimumSize(QtCore.QSize(55, 15))
        self.cycllabl.setMaximumSize(QtCore.QSize(55, 15))
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(False)
        font.setItalic(False)
        self.cycllabl.setFont(font)
        self.cycllabl.setStyleSheet('font: 10pt "Inter";')
        self.cycllabl.setAlignment(
            QtCore.Qt.AlignRight | QtCore.Qt.AlignTrailing | QtCore.Qt.AlignVCenter
        )
        self.cycllabl.setObjectName("cycllabl")

        self.retranslateUi(cyclwdgt)
        QtCore.QMetaObject.connectSlotsByName(cyclwdgt)

    def retranslateUi(self, cyclwdgt):
        _translate = QtCore.QCoreApplication.translate
        cyclwdgt.setWindowTitle(_translate("cyclwdgt", "Form"))
        self.cyclcurt.setText(_translate("cyclwdgt", "CURRENT_FREQUENCY"))
        self.cyclxtra.setText(
            _translate(
                "cyclwdgt",
                '<html><head/><body><p><span style=" font-weight:700;">MIN:</span> MIN_FREQUENCY, <span style=" font-weight:700;">MAX:</span> MAX_FREQUENCY</p></body></html>',
            )
        )
        self.cyclperc.setText(_translate("cyclwdgt", "000"))
        self.cyclnumb.setText(_translate("cyclwdgt", "0000"))
        self.cycllabl.setText(_translate("cyclwdgt", "#CPU"))


from PyQt5.QtChart import QChartView
